﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Lens
{
    public partial class UserControl1 : UserControl
    {
        public MainWindow UC;
        public int M1;//加圧モード
        public double E;//ヤング率
        public double Nu;//ポアソン比
        public double r1;// 内半径
        public double r2;// 外半径
        public double Sig;// 耐力
        public double P;// 圧力
        public double Sr;// 安全率

        public UserControl1()
        {
            InitializeComponent();
        }

        public void SetUC()
        {

            int N = Convert.ToInt32(UC.TextBox1.Text);
            dataGridView1.RowCount = N + 3;
            dataGridView1.Rows[0].Cells[0].Value = "i";
            dataGridView1.Rows[0].Cells[1].Value = "M(i)";
            dataGridView1.Rows[0].Cells[2].Value = "1/R(i)";
            dataGridView1.Rows[0].Cells[3].Value = "D(i)";
            dataGridView1.Rows[0].Cells[4].Value = "Ox(i)";
            dataGridView1.Rows[0].Cells[5].Value = "Oy(i)";
            dataGridView1.Rows[0].Cells[6].Value = "N[1][i]";
            dataGridView1.Rows[0].Cells[7].Value = "N[2][i]";
            dataGridView1.Rows[0].Cells[8].Value = "N[3][i]";
            dataGridView1.Rows[0].Cells[9].Value = "CaR[i]";
            dataGridView1.Rows[0].Cells[10].Value = "CR[i]";

            dataGridView1.Rows[1].Cells[0].Value = "整数";
            dataGridView1.Rows[1].Cells[1].Value = "コード";
            dataGridView1.Rows[1].Cells[2].Value = "1/mm";
            dataGridView1.Rows[1].Cells[3].Value = "mm";
            dataGridView1.Rows[1].Cells[4].Value = "mm";
            dataGridView1.Rows[1].Cells[5].Value = "mm";
            dataGridView1.Rows[1].Cells[6].Value = "無次元";
            dataGridView1.Rows[1].Cells[7].Value = "無次元";
            dataGridView1.Rows[1].Cells[8].Value = "無次元";
            dataGridView1.Rows[1].Cells[9].Value = "コード";
            dataGridView1.Rows[1].Cells[10].Value = "L面位置";
            int i;
            for (i = 0; i < N; i++) { dataGridView1.Rows[2 + i].Cells[0].Value = Convert.ToString(i); }
        }



        private void dataGridView1_KeyDown(object sender, KeyEventArgs e)
        {
            var k = e.KeyCode;
            if (k == Keys.F1)//コピー
            {
                var cc = dataGridView1.CurrentCellAddress;
                if (dataGridView1.Rows[cc.Y].Cells[cc.X].Value != null)
                {
                    System.Windows.Forms.Clipboard.SetDataObject(new DataObject(dataGridView1.Rows[cc.Y].Cells[cc.X].Value));
                }
            }

            if (k == Keys.F2)//ペースト
            {
                var cc = dataGridView1.CurrentCellAddress;
                var objData = System.Windows.Forms.Clipboard.GetDataObject();

                if (objData.GetDataPresent(DataFormats.StringFormat))
                {
                    String str = (String)objData.GetData(DataFormats.StringFormat);
                    if (str != "dataGridView1.Rows[cc.Y].Cells[cc.X].Value")
                    {
                        dataGridView1.Rows[cc.Y].Cells[cc.X].Value = str;
                    }
                }
            }

            if (k == Keys.F3)//クリア
            {
                var cc = dataGridView1.CurrentCellAddress;
                dataGridView1.Rows[cc.Y].Cells[cc.X].Value = "";
            }
        }

        private void dataGridView1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
        {
            UC.BEdit1 = true;
        }

        private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            UC.BEdit1 = false;
        }
    }
}
