﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.IO;

namespace Lens
{
    /// <summary>
    /// Window1.xaml の相互作用ロジック
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

 
        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            var win = new Window2();
            win.Show();

            this.Close();
            win.Draw(myControl3.dataGridView1);
        }

        

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
            this.WindowState = WindowState.Normal;
        }

        private void MenuItem2_Click(object sender, RoutedEventArgs e)
        {
            if (myControl3.saveFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                using (StreamWriter outfile = new StreamWriter(myControl3.saveFileDialog1.FileName))
                {
                    outfile.Write(Out_Text());
                }
            }
        }

        String Out_Text()
        {
            int i; int j;
            int Nj = myControl3.dataGridView1.ColumnCount;
            int Ni = myControl3.dataGridView1.RowCount;
            String OutText = "光線追跡\r\n";

            for (i = 0; i < Ni; i++)
            {
                for (j = 0; j < Nj; j++)
                {
                    OutText = OutText + myControl3.dataGridView1.Rows[i].Cells[j].Value + "\t";
                }
                OutText = OutText + "\r\n";
            }
            return OutText;
        }
    }
}
